SRD Standelone programmation box: tBQBatteryStatus Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tBQBatteryStatus Struct Reference

Struct used to store informations about the cell monitoring. More...

`#include "BQ27510DRZRG2.h"`

## Data Fields

signed short | cellTemperature
unsigned short | cellVoltage
unsigned short | noLoadNominalCapacity
unsigned short | noLoadFullCapacity
unsigned short | remainingCapacity
unsigned short | fullCapacity
signed short | averageCurrent
unsigned short | timeToEmpty
unsigned short | timeToFull
signed short | standbyCurrent
unsigned short | standbyTimeToEmpty
signed short | maxLoadCurrent
unsigned short | maxLoadTimeToEmpty
unsigned long | availableEnergy
signed short | averagePower
unsigned short | timeToEmptyAtConstantPower
unsigned short | cycleCount
unsigned short | stateOfCharge

## Detailed Description

Struct used to store informations about the cell monitoring.

Definition at line 89 of file BQ27510DRZRG2.h.

## Field Documentation

unsigned long tBQBatteryStatus::availableEnergy

available energy in mWh

Definition at line 103 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

signed short tBQBatteryStatus::averageCurrent

average current in mA

Definition at line 96 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

signed short tBQBatteryStatus::averagePower

average power in mW

Definition at line 104 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

signed short tBQBatteryStatus::cellTemperature

cell temperature in °C

Definition at line 90 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), and PowerManagerSendBatteryInfo().

unsigned short tBQBatteryStatus::cellVoltage

cell voltage in mV

Definition at line 91 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), PowerManagerSendBatteryInfo(), and UsbManagerCmdDealer().

unsigned short tBQBatteryStatus::cycleCount

load cycle count

Definition at line 106 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::fullCapacity

full compensated capacity in mAh

Definition at line 95 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), PowerManagerSendBatteryInfo(), and UsbManagerCmdDealer().

signed short tBQBatteryStatus::maxLoadCurrent

Maximum load current in mA

Definition at line 101 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::maxLoadTimeToEmpty

time left before cell becomes emty at the maximum load in min (max load time to empty)

Definition at line 102 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::noLoadFullCapacity

No load full capacity in mAh

Definition at line 93 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::noLoadNominalCapacity

No load nominal capacity in mAh

Definition at line 92 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::remainingCapacity

remaining compensated capacity in mAh

Definition at line 94 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), and PowerManagerSendBatteryInfo().

signed short tBQBatteryStatus::standbyCurrent

standby current in mA

Definition at line 99 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::standbyTimeToEmpty

time left before celle becomes empty at standby current in min (standby time to empty)

Definition at line 100 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::stateOfCharge

state of charge in %

Definition at line 107 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), ButtonManager(), PowerManagerSendBatteryInfo(), and UsbManagerCmdDealer().

unsigned short tBQBatteryStatus::timeToEmpty

time left before cell becomes empty in min (time to empty cell)

Definition at line 97 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), PowerManagerSendBatteryInfo(), and UsbManagerCmdDealer().

unsigned short tBQBatteryStatus::timeToEmptyAtConstantPower

time left before cell becomes empty at a constant power in min (constant power time to empty)

Definition at line 105 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo().

unsigned short tBQBatteryStatus::timeToFull

time left before cell becomes complety charged in min (time to full)

Definition at line 98 of file BQ27510DRZRG2.h.

Referenced by BQ_getFullInfo(), PowerManagerSendBatteryInfo(), and UsbManagerCmdDealer().

The documentation for this struct was generated from the following file:

- BQ27510DRZRG2.h